1. Categories
OrderMesh QA
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
      • Search for orders based on various criteria and filters.
      • Create multiple orders
      • Retrieve multiple orders
      • Update multiple orders
      • Retrieve a list of orders
      • Retrieve an order by Order ID.
      • Update order data.
      • Retrieve an order by Safe ID
      • Retrieve order item by Order Item ID
      • Update an item within an order.
      • Cancel Order or order items
      • Change the order status to Customer Care Hold
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order.
      • Retrieve audit logs for a specific order item.
      • Add a Refund Request.
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
        GET
      • Create a new category
        POST
      • Update category
        PUT
      • Delete category
        DELETE
      • Get audit logs of a category
        GET
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  • Schemas
    • Notes
      • /v1/notes
      • /v1/notes
      • /v1/notes/{noteId}
      • /v1/notes/{id}
      • /v1/notes/{id}
      • /v1/notes/{id}/auditLogs
  1. Categories

Update category

PUT
/v1/categories/{id}

Request

Path Params

Body Params
application/json

Examples

Responses

🟢200
application/json
OK
Body

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.qa.ordermesh.io/catalog/v1/categories/' \
--header 'Content-Type: application/json' \
--data '{
    "title": "Accessories",
    "parentId": "trending",
    "sortIndex": 1,
    "hidden": true
}'
Response Response Example
200 - Example 1
{
    "id": "string",
    "title": "string",
    "parentId": "string",
    "sortIndex": 0
}
Modified at 2026-09-03 14:39:04
Previous
Create a new category
Next
Delete category
Built with